<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>
    {% block title %}{% endblock %} 
  </title>
  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" >
  <!-- Bootstrap core CSS -->
  <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
  <!-- Material Design Bootstrap -->
  <link href="{% static 'css/mdb.min.css' %}" rel="stylesheet">
  <link href="{% static 'css/style.css' %}" rel="stylesheet">
  {% block style %}{% endblock %}
</head>

<body>
    <!--first-backdrop-->
    <div id="first-backdrop">
        <h1 class="white-text h1-responsive opening-1"><strong>IT Enthusiast</strong></h1>
        <h1 class="white-text h1-responsive opening-2"><strong>Optimistic</strong></h1>
        <h1 class="white-text h1-responsive opening-3"><strong>Creative</strong></h1>
    </div>
    
    <!-- Main navigation -->
    <header>
      <!-- Navbar -->
      <nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar primary-color navbar-writing">
          <div class="container">
              {% if user.is_authenticated %}
                  <a class="navbar-brand mb-1" href="{% url 'homepage:homepage_index' %}">{{user.username}}</a>
              {% else %}
                  <a class="navbar-brand" href="{% url 'homepage:homepage_index' %}">Tolhas</a>
              {% endif %}
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggler"
                  aria-controls="navbarToggler" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarToggler">
                  <ul class="navbar-nav mr-auto smooth-scroll">
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'homepage:homepage_index' %}#home">Home</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" href="{% url 'homepage:about_me' %}">About Me</a>
                      </li>
                      <li class="nav-item">
                        <a class="nav-link" href="{% url 'comment:comment_list' %}">Contact Me</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'books:books_index' %}">Searching for Books?</a>
                      </li>
                      {% if user.is_authenticated %}
                        <li class="nav-item">
                            <form action="{% url 'accounts:logout_view' %}" method="post">
                                    {% csrf_token %}
                                    <button type="submit" class="nav-link" id = "logout">Logout</button>
                            </form>
                        </li>
                      {% else %}
                         <li class="nav-item">
                            <a class="nav-link" href="{% url 'accounts:login_view' %}">Login</a>
                        </li>
                        <li class="nav-item">
                                <a class="nav-link" href="{% url 'accounts:signup_view' %}">Signup</a>
                        </li>
                      {% endif %}
                  </ul>
                  <!-- Social Icon  -->
                  <ul class="navbar-nav nav-flex-icons">
                      <li class="nav-item">
                          <a class="nav-link" href="https://www.facebook.com/tolhas.jonathan.7">
                              <i class="fab fa-facebook light-green-text-2"></i>
                          </a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="https://github.com/tolhassianipar">
                              <i class="fab fa-github light-green-text-2"></i>
                          </a>
                      </li>
                      <li class="nav-item d-flex align-items-center m-2">
                          <label class="switch m-0 p-0">
                              <input type="checkbox" id = 'theme'>
                              <span class="slider round"></span>
                          </label>
                          <p class = "m-0 ml-1 mr-1 text-white" id = "change-theme">Ubah Tema</p>
                          <i class="fas fa-moon"></i>
                      </li>
                  </ul>
              </div>
          </div>
      </nav>
      <!-- Navbar -->

    </header>

    <div class="body-container">
        {% block content %}
        {% endblock %}
    </div>

   <!-- Footer -->
    <footer class="page-footer font-small pt-4">

            <div class="container">
                <ul class="list-unstyled list-inline text-center">
                    <li class="list-inline-item">
                    <a class="btn-floating btn-fb mx-1" href="https://www.facebook.com/tolhas.jonathan.7">
                        <i class="fab fa-facebook"> </i>
                    </a>
                    </li>
                    <li class="list-inline-item">
                    <a class="btn-floating btn-li mx-1" href="https://www.linkedin.com/in/tolhas-jonathan-9a810a180">
                        <i class="fab fa-linkedin"> </i>
                    </a>
                    </li>
                    <li class="list-inline-item">
                        <a class="btn-floating btn-li mx-1" href="https://github.com/tolhassianipar">
                            <i class="fab fa-github"></i>   
                        </a>
                    </li>
                </ul>        
            </div>    

            <!-- Copyright -->
            <div class="footer-copyright text-center py-3">Tolhas's Website Reference:
                GSGS
            </div>
    </footer>

    <button onclick="topFunction()" id="myBtn" title="back to top" class = "btn btn-secondary">
        <i class="fas fa-arrow-up"></i>
    </button>

    <!-- SCRIPTS -->
    
    <!-- JQuery -->
    <script type="text/javascript" src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
    <!-- Bootstrap tooltips -->
    <script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
    <!-- Bootstrap core JavaScript -->
    <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- MDB core JavaScript -->
    <script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/base.js' %}"></script>
    <!-- <script>
        if (window.performance) {
            alert("Browser Supports");
        }
        if (performance.navigation.type == 1) {
            alert("Reloaded"); 
        } else {
            alert("Not Reloaded"); 
        }
    </script> -->
    {% block script %}
    {% endblock %}
</body>

</html>